%define monodir %{_libdir}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Boo is an OO statically typed language for CLI
Name: 		boo
Version: 	0.8.1.2865
Release: 	1
License: 	MIT
Group: 		Development/Languages
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: 		http://boo.codehaus.org
Source0: 	http://dist.codehaus.org/boo/distributions/%{name}-%{version}-src.zip
Patch0: 	boo-libdir.patch
Patch1: 	boo-extras.patch
Patch2: 	boo-exclude-VS-as-target.patch
BuildRequires: 	mono-core-devel, gtksourceview1-devel, shared-mime-info, pkgconfig, nant
ExclusiveArch: 	%ix86


%description
Boo is a new object oriented statically typed programming language for the 
Common Language Infrastructure with a python inspired syntax and a special 
focus on language and compiler extensibility.

%package devel
Summary: 	Development files for boo
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}

%description devel
Development files for boo

%prep
%setup -q -c
%patch0 -p1 -b .original
%patch1 -p1 -b .orig
%patch2 -p1 -b .orig
sed -i -e 's!${libdir}!%{monodir}!' extras/booc.in
sed -i -e 's!${libdir}!%{monodir}!' extras/booi.in
sed -i -e 's!${libdir}!%{monodir}!' extras/booish.in
sed -i -e 's!${libdir}!/usr/lib/mono!' extras/boo.pc.in
sed -i -e 's!${prefix}!%{_prefix}!' extras/boo.pc.in

%build
nant -D:install.prefix=%{_prefix} -D:install.libdir=%{monodir}

%install
rm -rf %{buildroot}
nant -f:default.build install -D:install.buildroot=%{buildroot} -D:install.prefix=%{buildroot}%{_prefix} -D:install.share=%{buildroot}%{_datadir} -D:install.libdir=%{buildroot}%{monodir} -D:install.bindir=%{buildroot}%{_bindir} -D:fakeroot.sharedmime=%{buildroot}%{_datadir}/.. -D:fakeroot.gsv=%{buildroot}%{_prefix}

%clean
rm -rf %{buildroot}

%post
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :

%files 
%defattr(-,root,root)
%doc license.txt notice.txt readme.txt docs/BooManifesto.sxw
%{monodir}/boo*
%{monodir}/mono/boo/*.dll
%{monodir}/mono/gac/Boo*/*
%{_bindir}/boo*
%exclude %{_datadir}/gtksourceview-1.0/language-specs/boo.lang
%{_datadir}/mime/packages/boo*
%{_datadir}/mime-info/boo*

%files devel
%defattr(-,root,root,-)
%{monodir}/pkgconfig/boo.pc

%changelog
* Fri Aug 01 2008 Christian Metzen <metzench@ccux-linux.de> 0.8.1.2865-1
- Version update
* Sun Dec 02 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.0.2730-2
- fixed pkgconfig file
* Sun Dec 02 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.0.2730-1
- Initial release
